
/** TP 5ETI - CPE Lyon - 2011/2012 */


#ifndef _SCENE_HPP_
#define _SCENE_HPP_

#include <matrix3.hpp>
#include <v3.hpp>
#include <mesh.hpp>

#include <vector>

class scene
{
public:

    /** \brief Method called only once at the beginning (load off files ...) */
    void load_model();
    /** \brief Method called at every frame */
    void draw_scene();

private:

    cpe::mesh mesh_0;
    std::vector<double> mesh_0_normal;

    cpe::mesh mesh_1;
    std::vector<double> mesh_1_normal;

    cpe::mesh mesh_plan;
    std::vector<double> mesh_plan_normal;

    void creation_damier();
    void affichage_damier();

};

#endif
